Subject: Re: bug#53793: 29.0.50; 'fullscreen' frame parameter on pgtk

From: Augusto Stoffel <[email-masked]>
Date: Sun, 06 Feb 2022 11:02:19 +0100

On Sun,  6 Feb 2022 at 17:38, Po Lu <[email-masked]> wrote:

> (When replying to bug reports in the future, please use "Reply to All",
> so that your messages can be recorded by the bug tracker.)

Oops, sorry.

> Augusto Stoffel <[email-masked]> writes:
>
>> Yes, the frame parameter is correctly reported now, thanks!
>
> I'm closing this bug then, thanks.
>
>> It also seems that `move-frame-functions' are not run as promised.  Or
>> at least the following bit of configuration is still broken on pgtk but
>> works fine on X.
>
> If you're running Wayland, then it's a limitation of the Wayland
> protocol, which has no global coordinate system.  GTK exposes it as
> every Wayland window (surface) being placed at 0, 0.

I see.  Apparently there's no hook to run when a frame is resized, which
would be useful as well.  Maybe a new variable is unnecessary, and
`move-frame-functions' should be run also when moving the bottom right
corner of the frame.

>>     (add-hook 'move-frame-functions
>>               (lambda (frame) "Undecorate frame when maximized."
>>                 (set-frame-parameter frame 'undecorated
>>                  (eq 'maximized (frame-parameter frame 'fullscreen)))))